using System;

namespace Animals
{
  public class Animal 
  {
    private int _animalID;
    public int AnimalID
    {
      get { return _animalID; }
      set { _animalID = value; }
    }

    private string _name;
    public virtual string Name
    {
      get { return _name; }
      set { _name = value; }
    }
    public virtual void Speak()
    {
      throw new NotImplementedException();
    }
    public virtual void Walk()
    {
      throw new NotImplementedException();
    }
  }
}
